:root{
    --background-white: #F4F6F7;
    --background-dark-white: #D3D3D3;
    --background-dark: #797D7F;
}
* {
    font-family: 'Roboto', sans-serif;
}
.header{
    background-color: var(--background-dark);
    width: 100%;
    height: 38px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.header > img{
    width: 20px;
    margin-right: 4px;
}
.header > h1{
    color: var(--background-white);
    font-size: 15px;
}
.main{
    display: flex;
    background-color: var(--background-dark-white);
    flex-direction: column;
    align-items: center;
    padding-bottom: 15px;
}
.main__titleContainer{
    z-index: 1;
}
.main__titleBox{
    display: flex;
    flex-direction: row;
    background-color: var(--background-white);
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    height: 38px;
    margin-top: 15px;
}
.main__icon{
    margin-right: 4px;
}
.main__pokemon{
    width: 270px;
}
.main__infoBox{
    display: flex;
    flex-direction: column;
    background-color: var(--background-white);
    width: 250px;
    border-radius: 10px;
    padding-top: 35px;
    padding-bottom: 10px;
    margin-top: -50px;
}
.main__info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 27px 0 27px;
    height: 40px;
}
.footer{
    background-color: var(--background-white);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer__othersPokemons{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 70%;
}
.footer__pokemonBox{
    background-color: var(--background-dark-white);
    width: 80px;
    height: 80px;
    border-radius: 10px;
    padding: 5px;
    margin: 5px;
}
.footer__pokemonBox img{
    width: 80px;
}

@media (min-width: 680px)  {
    .header{
        justify-content: flex-start;
        padding-left: 10px;
    }
    .footer{
        flex-direction: row;
        justify-content: space-around;
        padding-top: 15px;
        padding-bottom: 15px;
    }
    .main{
        flex-direction: row;
        align-items: center;
        justify-content: space-around;
    }
    .main__pokemon{
        width: 300px;
    }
    .main__infoBox{
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-around;
        align-items: center;
        width: 250px;
        padding-top: 20px;
        padding-bottom: 10px;
        margin-top: 0;
        height: 300px;
    }
    .main__info{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 10px 0;
        width: 100px;
        overflow: hidden;
    }
    .main__info p{
        font-size: 15x;
        margin: 0;
        text-align: center;
    }
    
}
@media (min-width: 900px){
    .main__pokemon{
        width: 400px;
    }
    .main__infoBox{
        height: 350px;
    }
    .footer__pokemonBox{
        transition: 0.2s ease-in-out;
    }
    .footer__pokemonBox:hover{
        background-color: var(--background-dark);
        transform: scale(1.1);
    }
}